import React, { Component } from 'react'
import PropTypes from 'prop-types'
import { Button } from '@material-ui/core'
//	Note: tapevent can only be injected once, so the App does it...
// import injectTapEventPlugin from 'react-tap-event-plugin';

// injectTapEventPlugin();

class RaisedButtonComponent extends Component {
	render() {
		return <Button type={this.props.type || 'button'} {...this.props}>{this.props.label}</Button>
	}
}

RaisedButtonComponent.propTypes = {
	label: PropTypes.string.isRequired,
	type: PropTypes.string.isRequired
}

export default RaisedButtonComponent
