import validate from 'validate.js'
import asyncValidator from './asyncValidator'
import formatsValidator from './formatsValidator'
import datetimeExtension from './datetimeExtension'

const setup = () => {
	validate.validators.asyncValidator = asyncValidator
	validate.validators.formats = formatsValidator
	validate.extend(validate.validators.datetime, datetimeExtension)
}

export default setup
